Bug 1044837 - ksc dependency kernel-abi-whitelists is missing when ksc is installed on RHEL 7
Summary: ksc dependency kernel-abi-whitelists is missing when ksc is installed on RHEL 7
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ksc
Version: 7.0
Hardware: All
OS: Linux
unspecified
urgent
Target Milestone: rc
: ---
Assignee: Jiri Olsa
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-19 05:15 UTC by Swati Goswami
Modified: 2014-02-03 08:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-03 08:13:34 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Swati Goswami 2013-12-19 05:15:59 UTC
Description of problem:
ksc dependency  kernel-abi-whitelists is missing when ksc is installed on RHEL 7

Version-Release number of selected component (if applicable):
ksc-0.9.8-1.el7.noarch.rpm

How reproducible:


Steps to Reproduce:
1. cat /etc/redhat-release
Red Hat Enterprise Linux Server release 7.0 Beta (Maipo)

2.
yum install ksc-0.9.8-1.el7.noarch.rpm
Loaded plugins: product-id, subscription-manager
This system is not registered to Red Hat Subscription Management. You can use
+subscription-manager to register.
Examining ksc-0.9.8-1.el7.noarch.rpm: ksc-0.9.8-1.el7.noarch
Marking ksc-0.9.8-1.el7.noarch.rpm to be installed
Resolving Dependencies
--> Running transaction check
---> Package ksc.noarch 0:0.9.8-1.el7 will be installed
--> Processing Dependency: kernel-abi-whitelists for package: ksc-0.9.8-1.el7.noarch
--> Finished Dependency Resolution
Error: Package: ksc-0.9.8-1.el7.noarch (/ksc-0.9.8-1.el7.noarch)
Requires: kernel-abi-whitelists
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest


Actual results:
Throws error

Expected results:
It should install without any errors with all dependencies installed

Comment 6 Swati Goswami 2014-01-10 12:25:41 UTC
Following should be mentioned in the setup of ksc

RHEL7.repo needs to be included in yum repository

cd /etc/yum.repos.d should have a file
RHEL7.repo
 which have following content

[rhel-server]
name=Red Hat Enterprise Linux $releasever - $basearch - Server
baseurl=http://download.devel.redhat.com/released/RHEL-7/7.0-Beta-1/Server/$basearch/os
enabled=1
gpgcheck=0

Comment 7 Jiri Olsa 2014-01-10 13:25:50 UTC
(In reply to Swati Goswami from comment #6)
> Following should be mentioned in the setup of ksc
> 
> RHEL7.repo needs to be included in yum repository
> 
> cd /etc/yum.repos.d should have a file
> RHEL7.repo
>  which have following content
> 
> [rhel-server]
> name=Red Hat Enterprise Linux $releasever - $basearch - Server
> baseurl=http://download.devel.redhat.com/released/RHEL-7/7.0-Beta-1/Server/
> $basearch/os
> enabled=1
> gpgcheck=0

I think that's beyond the scope of the ksc documentation

Comment 8 Anton Arapov 2014-02-03 08:13:34 UTC
Jiri is right here. I've just also checked the "kernel-abi-whitelists" package is in the RHEL7 composes - it is not missing. And will be available via subscription manager to customers. For the testing purposes you have to install the package yourself manually either directly with rpm or by creating a yum.repo file whatever is more convenient to you.


Note You need to log in before you can comment on or make changes to this bug.